We're at the {Tech: Europe} Paris AI Hackathon this weekend! Get started here
{
"type": "init",
"config": {
"language": "en",
"sample_rate": 16000,
"encoding": "linear16",
"enable_partials": true,
"smart_format": true,
"utterances": true
}
}"0000FF00000000FF00000000010101010101010100000000FFFFFFFFFFFFFEFEFDFEFEFEFEFDFDFEFEFEFEFEFEFEFEFEFFFFFFFFFEFEFEFEFF000100001020303030303030303030201010000FFFFFEFDFDFDFDFEFFFFFFFF0001020303020201000000FFFDFCFBFAFAFBFAF9F8F7F7F7F6F6F4F2F2F3F7FC000406090F14191A19181715110E0A05FEF9F6F3F0EEECEBEBECEEF2F6F9FC0005090D0F101010100E0C080401"{
"type": "finalize"
}{
"type": "close"
}{
"type": "keepalive"
}{
"type": "Metadata",
"request_id": "a2b1db35-40ff-41f9-9912-dedaeab02228",
"created": "2026-04-01T09:40:09.152Z",
"duration": 0,
"channels": 1,
"sha256": "incomplete",
"transaction_key": "deprecated"
}{
"type": "Results",
"channel_index": [
0,
1
],
"duration": 3.52,
"start": 0,
"is_final": true,
"speech_final": true,
"channel": {
"alternatives": [
{
"transcript": "The quick brown fox jumps over the lazy dog.",
"confidence": 0.9980469,
"words": [
{
"word": "the",
"start": 0.08,
"end": 0.16,
"confidence": 0.9975586,
"punctuated_word": "The"
},
{
"word": "quick",
"start": 0.16,
"end": 0.4,
"confidence": 0.9951172,
"punctuated_word": "quick"
},
{
"word": "brown",
"start": 0.4,
"end": 0.64,
"confidence": 0.9980469,
"punctuated_word": "brown"
}
]
}
]
}
}{
"type": "Error",
"code": "backend_connection_failed",
"message": "Failed to connect to backend: 500 Internal Server Error"
}Stream real-time English transcripts from SLNG-hosted Deepgram Nova 3 over WebSocket with low-latency partials, finals, and speaker diarization.
Documentation Index
Fetch the complete documentation index at: https://docs.slng.ai/llms.txt
Use this file to discover all available pages before exploring further.
{
"type": "init",
"config": {
"language": "en",
"sample_rate": 16000,
"encoding": "linear16",
"enable_partials": true,
"smart_format": true,
"utterances": true
}
}"0000FF00000000FF00000000010101010101010100000000FFFFFFFFFFFFFEFEFDFEFEFEFEFDFDFEFEFEFEFEFEFEFEFEFFFFFFFFFEFEFEFEFF000100001020303030303030303030201010000FFFFFEFDFDFDFDFEFFFFFFFF0001020303020201000000FFFDFCFBFAFAFBFAF9F8F7F7F7F6F6F4F2F2F3F7FC000406090F14191A19181715110E0A05FEF9F6F3F0EEECEBEBECEEF2F6F9FC0005090D0F101010100E0C080401"{
"type": "finalize"
}{
"type": "close"
}{
"type": "keepalive"
}{
"type": "Metadata",
"request_id": "a2b1db35-40ff-41f9-9912-dedaeab02228",
"created": "2026-04-01T09:40:09.152Z",
"duration": 0,
"channels": 1,
"sha256": "incomplete",
"transaction_key": "deprecated"
}{
"type": "Results",
"channel_index": [
0,
1
],
"duration": 3.52,
"start": 0,
"is_final": true,
"speech_final": true,
"channel": {
"alternatives": [
{
"transcript": "The quick brown fox jumps over the lazy dog.",
"confidence": 0.9980469,
"words": [
{
"word": "the",
"start": 0.08,
"end": 0.16,
"confidence": 0.9975586,
"punctuated_word": "The"
},
{
"word": "quick",
"start": 0.16,
"end": 0.4,
"confidence": 0.9951172,
"punctuated_word": "quick"
},
{
"word": "brown",
"start": 0.4,
"end": 0.64,
"confidence": 0.9980469,
"punctuated_word": "brown"
}
]
}
]
}
}{
"type": "Error",
"code": "backend_connection_failed",
"message": "Failed to connect to backend: 500 Internal Server Error"
}API key issued by SLNG. Pass as Authorization: Bearer <token> in the WebSocket upgrade request headers.
GET
Target region override. Auto-selected if not provided. Available regions: australia-southeast1, us-east-1.
australia-southeast1, us-east-1Initialize an SLNG-hosted Deepgram Nova 3 English STT session.
Stream raw binary PCM audio frames to be transcribed. Sent as binary WebSocket frames (NOT JSON). Recommended chunk size is 8192 bytes (~256ms at 16kHz linear16). Start streaming immediately after the init message — do not wait for the Metadata response.
Force-finalize buffered audio tokens without closing the connection.
Signal end of audio stream and close the connection.
Keep the WebSocket connection alive during silence.
Deepgram session metadata. Sent when the backend connects and again after the session ends with final statistics. This is informational — do not wait for it before streaming audio.
Deepgram transcription result — partial or final, determined by is_final.
Error from the Deepgram backend or gateway.
Was this page helpful?